> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guilds.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Review

> Returns a specific user's review



## OpenAPI

````yaml GET /reviews/{user_id}
openapi: 3.0.1
info:
  title: Guilds API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.guilds.me/v1
security:
  - GuildsApiKeyAuth: []
    GuildsAppIdAuth: []
paths:
  /reviews/{user_id}:
    get:
      description: Returns a specific user's review
      parameters:
        - name: user_id
          in: path
          description: The unique Discord user ID (snowflake).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Review response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Review'
                type: object
        '401':
          description: Unauthorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorised'
components:
  schemas:
    Review:
      type: object
      properties:
        id:
          description: The ID of this review
          type: string
        rating:
          description: The rating of the review
          type: number
          maximum: 5
          minimum: 1
          nullable: true
        content:
          description: The content of the review
          type: string
          maxLength: 200
          nullable: true
        likes:
          description: Number of likes for this review
          type: number
          nullable: true
        replies:
          description: Number of replies for this review
          type: number
          nullable: true
        created_at:
          description: Date and time when the review was created
          type: string
          format: date-time
          nullable: true
        authorId:
          description: Discord ID of the author
          type: string
          nullable: true
    Unauthorised:
      required:
        - message
      type: object
      properties:
        status:
          type: integer
          enum:
            - 401
        error:
          type: string
          enum:
            - Unauthorised
  securitySchemes:
    GuildsApiKeyAuth:
      type: apiKey
      in: header
      name: Guilds-Api-Key
      description: API Key specific to each guild
    GuildsAppIdAuth:
      type: apiKey
      in: header
      name: Guilds-App-Id
      description: App ID specific to each guild

````